matrix:
  platform:
    - rockylinux8
    - debian10
    - ubuntu2004
    - macos
    - macos_arm64
    - windows
  bazel: [7.x, 8.x, 9.x]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@bzip2//..."
  verify_targets_no_stdio:
    name: Verify build targets (BZ_NO_STDIO)
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--@bzip2//:no_stdio=True"
    build_targets:
      - "@bzip2//..."
